MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027181Open CASCADE[OCCT] OCCT:Configurationpublic2016-02-18 13:042016-04-20 15:50
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSUbuntuOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027181: Configuration, CMake - samples and data files are not found by tests when they are installed in "share" subfolder
DescriptionWhen samples are installed in subfolder "share" on Linux, they are not found by tests in the group "test demo".

I suppose that data files in "data" subfolder also will not be found by current version.
Steps To Reproduce1. build occt on linux
2. install with test cases
3. run draw
4. run demo tests
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026944closedbugmaster CMake remarks 
related to 0027165closedbugmaster Configuration, CMake - add an option to choose a variant of the theme of the install paths 

-  Notes
(0050955)
git (administrator)
2016-02-18 15:06

Branch CR27181 has been created by ibs.

SHA-1: 5b4df8b27daac96770e779cb7c807968f9004161


Detailed log of new commits:

Author: ibs
Date: Thu Feb 18 15:06:30 2016 +0300

    win environment updated to use 0CCT_BIN_PATH, OCCT_LIB_PATH, OCCT_RESOURCE_PATH

Author: ibs
Date: Thu Feb 18 14:18:28 2016 +0300

    redundant env.bat and env.sh removed

Author: ibs
Date: Thu Feb 18 14:11:30 2016 +0300

    CASROOT replaced with OCCT_SHARE_PATH or OCCT_RESOURCE_PATH
(0050959)
git (administrator)
2016-02-18 15:49

Branch CR27181 has been updated by ibs.

SHA-1: 3dba42a1f4fa3cc30d0c502df7c7128fcf2e79f0


Detailed log of new commits:

Author: ibs
Date: Thu Feb 18 15:47:46 2016 +0300

    env.build.sh/bat.in files unified; CASROOT specification moved to "custom" file

(0050962)
git (administrator)
2016-02-18 15:56

Branch CR27181 has been updated by ibs.

SHA-1: dcc1fe78dde8cd611c62fd69152219d14699bd99


Detailed log of new commits:

Author: ibs
Date: Thu Feb 18 15:55:57 2016 +0300

    OCCT_INCLUDE_PATH variable added for OCCT samples

(0050966)
git (administrator)
2016-02-18 16:56

Branch CR27181 has been updated by ibs.

SHA-1: 4938e12bc700b03e2f9abfe1bbb09f0a0716a432


Detailed log of new commits:

Author: ibs
Date: Thu Feb 18 16:56:41 2016 +0300

    OCCT_BIN_PATH has correct value for single and multiple generators

(0051049)
ibs (developer)
2016-02-20 18:15

dear ski,
please review CR27165_27181 branch of OCCT git
(0051306)
ski (developer)
2016-03-02 12:25
edited on: 2016-03-02 12:26

reviewed without remarks.

See 0027165:0051304

(0052879)
git (administrator)
2016-04-17 13:27

Branch CR27181 has been deleted by kgv.

SHA-1: 4938e12bc700b03e2f9abfe1bbb09f0a0716a432

- Issue History
Date Modified Username Field Change
2016-02-18 13:04 ibs New Issue
2016-02-18 13:04 ibs Assigned To => ibs
2016-02-18 14:12 ibs Relationship added related to 0026944
2016-02-18 15:06 git Note Added: 0050955
2016-02-18 15:49 git Note Added: 0050959
2016-02-18 15:56 git Note Added: 0050962
2016-02-18 16:56 git Note Added: 0050966
2016-02-18 17:22 ibs Relationship added related to 0027165
2016-02-20 18:12 ibs Assigned To ibs => ski
2016-02-20 18:12 ibs Status new => resolved
2016-02-20 18:12 ibs Steps to Reproduce Updated View Revisions
2016-02-20 18:15 ibs Note Added: 0051049
2016-03-02 12:25 ski Note Added: 0051306
2016-03-02 12:26 ski Assigned To ski => bugmaster
2016-03-02 12:26 ski Status resolved => reviewed
2016-03-02 12:26 ski Note Edited: 0051306 View Revisions
2016-03-03 13:23 bugmaster Status reviewed => tested
2016-03-21 15:02 bugmaster Status tested => verified
2016-03-21 15:02 bugmaster Resolution open => fixed
2016-04-17 13:27 git Note Added: 0052879
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker